1***@qq.com
1***@qq.com
  • 发布:2020-03-14 20:41
  • 更新:2021-07-01 17:00
  • 阅读:10645

Vue3.0正式发布后uni-app会支持同步支持吗?

分类:uni-app

vue3.0应该今年会发布,不知道uni-app会同步支持不?因为比较想在用vue的时候用typescript开发,而vue3对ts支持度很高,目前来看ts也越来越成为了很多前端想学习的语言

2020-03-14 20:41 负责人:无 分享
已邀请:

最佳回复

DCloud_heavensoft
  • 8***@qq.com

    HBuilder X不支持直接创建vue3项目

    2020-10-09 13:09

  • silentdoer

    请问下Vue3的uni-app支持开源的UI框架吗?好像之前Vue2版本的各种组建是要在uniapp里特定写的,Vue3现在用了composite api是否可以像taro一样直接在uniapp里用通用的UI框架了呢,比如antd vue,element-plus之类的?

    2020-10-10 16:56

  • silentdoer

    请问下支持vue3会因为兼容多种写法而产生性能问题吗?

    2020-10-14 09:36

  • DCloud_heavensoft

    回复 silentdoer: uni-app的vue3没有性能问题。taro是有性能问题的,因为它在运行时模拟了一个web环境

    2020-10-14 15:07

  • 2***@qq.com

    Vue3 的 TypeScript 环境需要如何配置,通过 VueCli安装的TypeScript插件与模板不兼容。求链接

    2020-10-20 09:28

  • fxy060608

    回复 2***@qq.com: 具体是什么不兼容?

    2020-10-21 15:48

  • 2***@qq.com

    回复 fxy060608: Vue3的模板下载到本地, vue的依赖还是2.6.11, VueCLI 创建的vue3模板的 vue依赖是 3.0.0, uniapp 安装 3.0.0 版本提示:“Cannot find module '@vue/compiler-sfc/package.json'”, 使用 2.6.11 只通过 vue add typescript 插件提示: “Module '"../node_modules/vue/types"' has no exported member 'createApp'. Did you mean to use 'import createApp from "../node_modules/vue/types"'”

    2020-10-27 13:47

DCloud_heavensoft

DCloud_heavensoft

疯狂的BUG

疯狂的BUG

呵呵

步步

步步

估计下个月就可以发布了

1***@qq.com

1***@qq.com

vue3.0发布了

清茶涩

清茶涩

一年后我又来了,请问大概还要多久出,可视化界面创建的,因为cli创建的不能用unicloud

  • DCloud_heavensoft

    cli创建的,拖入HBuilderX,可以用uniCloud。内置HBuilderX已经在做了,过段时间会发布

    2021-07-02 15:50

  • 清茶涩

    回复 DCloud_heavensoft: 拖入的话是可以,但是发行的时候不是要经过可视化界面菜单发行才可以吗,菜单发行的话打包编译走的是cli还是可视化

    2021-07-05 10:38

  • 清茶涩

    回复 DCloud_heavensoft: 就是cli创建的项目,用可视化菜单点的发行,那打包编译出来的跟可视化菜单创建的是一样的话,那cli创建的意义就没了

    2021-07-05 10:42

要回复问题请先登录注册